package middleman

import "github.com/prometheus/client_golang/prometheus"

var (
	RequestHandled = prometheus.NewCounter(prometheus.CounterOpts{
		Name: "http_requests_handled_total",
		Help: "Total number of HTTP requests handled",
	})
	ProcessingRequest = prometheus.NewHistogramVec(prometheus.HistogramOpts{
		Name: "time_spent_processing_request_seconds",
		Help: "Number of seconds spent processing a request",
	}, []string{"path"})
	ProcessedRequest = prometheus.NewCounterVec(prometheus.CounterOpts{
		Name:        "http_requests_processed_total",
		Help:        "Total number of HTTP requests processed",
		ConstLabels: nil,
	}, []string{"method", "path", "status"})
)
